<template>
  <v-main>
    <router-view v-slot="{Component}">
    <transition mode="out-in" appear name="slide-fade">
      <component :is="Component" />
    </transition>
    </router-view>
  </v-main>
</template>

<script lang="ts" setup>
  //
</script>

<style>
.slide-fade-enter-active {
  transition: all 0.4s ease-out;
}

.slide-fade-leave-active {
  transition: all 0.4s cubic-bezier(1, 0.5, 0.8, 1);
}

.slide-fade-enter-from,
.slide-fade-leave-to {
  transform: translateX(400px);
  opacity: 0;
}
</style>
